#ifndef FRAMEMAP_HPP_INCLUDED
#define FRAMEMAP_HPP_INCLUDED

#include "Node.hpp"
#include "../JavaClass/Class.hpp"
#include <vector>
#include <cstdint>

namespace Internal
{
    class FrameMap : public Node
    {
        public:
            FrameMap(const void* Obj);

            FrameMap() = default;
            FrameMap(FrameMap&& Obj) = default;
            FrameMap(const FrameMap& Obj) = default;
            FrameMap& operator=(FrameMap&& Obj) = default;
            FrameMap& operator=(const FrameMap& Obj) = default;

            static Class GetClass();

            std::vector<std::vector<std::int32_t>> GetList() const;
            std::vector<std::int32_t> GetTypes() const;

    };
}

#endif // FRAMEMAP_HPP_INCLUDED
